part of ali_rtc_fluttify;

/// AliRtcRenderMode提供四种渲染模式。
/// （推荐）AliRtcRenderModeAuto：自动模式。
/// AliRtcRenderModeStretch：拉伸填充视图，不保持视频比例。
/// AliRtcRenderModeFill：在保持视频宽高比的同时缩放，填充黑边。
/// AliRtcRenderModeCrop：在保持视频宽高比的同时缩放，并裁剪以适合视图。
enum RenderMode {
  Auto,
  Stretch,
  Fill,
  Clip,
}

/// AliRtcRenderMirrorMode在本地或远端均可设置镜像模式，并提供三种镜像模式。
/// AliRtcRenderMirrorModeOnlyFrontCameraPreviewEnabled：只有前置摄像头预览镜像，其余不镜像。
/// AliRtcRenderMirrorModeAllEnabled：全部镜像。
/// AliRtcRenderMirrorModeAllDisabled：全部不镜像。
enum MirrorMode {
  OnlyFront,
  AllEnabled,
  AllDisable,
}

enum VideoProfile {
  // 默认，分辨率480*640，帧率15
  Profile_Default,
  // 分辨率180*240，帧率15, 以下以此类推
  Profile_180_240P_15,
  Profile_180_320P_15,
  Profile_180_320P_30,
  Profile_240_320P_15,
  Profile_360_480P_15,
  Profile_360_480P_30,
  Profile_360_640P_15,
  Profile_360_640P_30,
  Profile_480_640P_15,
  Profile_480_640P_30,
  Profile_720_960P_15,
  Profile_720_960P_30,
  Profile_720_1280P_15,
  Profile_720_1280P_30,
  // 360*640分辨率，帧率15，800Kb码率, 以下以此类推
  Profile_360_640P_15_800Kb,
  Profile_480_840P_15_500Kb,
  Profile_480_840P_15_800Kb,
  Profile_540_960P_15_800Kb,
  Profile_540_960P_15_1200Kb,
  // 占位值
  Profile_Max,
}

enum VideoTrack {
  // 无视频流
  No,
  // 相机流
  Camera,
  // 屏幕共享流
  Screen,
  // 相机流和屏幕共享流
  Both,
}

enum AudioTrack { No, Mic }

enum CameraType {
  Back,
  Front,
  Usb,
  Invalid,
}

enum NetworkQuality {
  Network_Excellent,
  Network_Good,
  Network_Poor,
  Network_Bad,
  Network_VeryBad,
  Network_Disconnected,
  Network_Unknow,
}

enum ChannelProfile {
  Communication,
  Interactive_live,
  Interactive_With_Low_Latency_Live,
}

enum ClientRole {
  // 参与互动角色，可以推拉流
  AliRTCSDK_Interactive,
  // 仅观看角色，只能拉流，适用于普通观众
  AliRTCSDK_live,
}
